## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iAwsDockSite Struct Reference

Document me! @@. More...

`#include <iaws/awsdock.h>`

Inheritance diagram for iAwsDockSite:

[legend]
List of all members.

## Public Member Functions

virtual void | AddDockWindow (iAwsDockableWindow *win)=0
| Insert a window into the dock site.
virtual csRect | GetDockedWindowFrame (iAwsDockableWindow *win)=0
| Gets the docked window frame where the dockable window should draw itself.
virtual int | GetType ()=0
| Document me! @@.
virtual void | RemoveDockWindow (iAwsDockableWindow *win)=0
| Remove a window from a dock site.

## Detailed Description

Document me! @@.

Definition at line 42 of file awsdock.h.

## Member Function Documentation

virtual void iAwsDockSite::AddDockWindow | ( | iAwsDockableWindow * | win | ) | `[pure virtual]`

| Insert a window into the dock site.

virtual csRect iAwsDockSite::GetDockedWindowFrame | ( | iAwsDockableWindow * | win | ) | `[pure virtual]`

| Gets the docked window frame where the dockable window should draw itself.

virtual int iAwsDockSite::GetType | ( |  | ) | `[pure virtual]`

| Document me! @@.

virtual void iAwsDockSite::RemoveDockWindow | ( | iAwsDockableWindow * | win | ) | `[pure virtual]`

| Remove a window from a dock site.

The documentation for this struct was generated from the following file:

- iaws/awsdock.h